import Command from '@oclif/command';
import { Observable } from 'rxjs';
interface IBaseFlags {
    config: string;
    cwd: string;
    id: string;
}
export declare abstract class BaseCommand<F extends IBaseFlags, A extends any[]> extends Command {
    private static normalizeConfig;
    private isAllowedCommand;
    run(): Promise<any>;
    private forAll;
    abstract exec(parsed: any): Observable<any>;
}
export {};
