/// <reference types="node" />
import { ChildProcess } from 'child_process';
import { Observable } from 'rxjs';
export declare type TExecCommand = string | string[];
export interface IExecOptions {
    cwd?: string;
    project?: string;
}
export declare class ExecProvider {
    static exec(cmd: TExecCommand, options?: IExecOptions): Observable<ChildProcess>;
}
